<ng-template #pageBlockTemplate>
        <div class="block-ui-template">
            <div class="hourglass-loader sk-primary">
                <!-- <div class="sk-cube1 sk-cube"></div><div class="sk-cube2 sk-cube"></div><div class="sk-cube4 sk-cube"></div><div class="sk-cube3 sk-cube"></div> -->
                <div class="clock">
                <div class="cup top">
                    <div class="sand"></div>
                </div>
                <div class="cup">
                    <div class="sand delayed"></div>
                </div>
                </div>
            </div>
            <h5 class="text-center mb-0">Loading...</h5>
        </div>
    </ng-template>


<block-ui [template]="pageBlockTemplate" class="block-ui-white"></block-ui>


<div class="card">
    <h6 class="card-header">
        Enter the Tenant information
        <!-- <a href="javascript:void(0)" class="pull-right btn btn-primary" (click)="navigateToTenantList()">Tenant List</a> -->
    </h6>

    <div class="card-body">
        <form [formGroup]="addCompany" (ngSubmit)="addNewCompany(addCompany.value)">
            <div class="form-row">
                <div class="form-group col-md-6">
                    <label class="form-label">Company Name</label>
                    <input [formControl]="addCompany.controls['cname']" name="cname" type="text" class="form-control" placeholder="Company Name"
                    [ngClass]="{'is-invalid':!addCompany.controls['cname'].valid && addCompany.controls['cname'].touched}">
                    <div *ngIf="addCompany.controls['cname'].hasError('required') && addCompany.controls['cname'].touched" class="invalid-feedback">You must include a Company name.</div>
                </div>
                <div class="form-group col-md-6">
                    <label class="form-label">Company ID</label>
                    <input [formControl]="addCompany.controls['cid']" name="cid" type="text" class="form-control" placeholder="Company ID"
                    [ngClass]="{'is-invalid':!addCompany.controls['cid'].valid && addCompany.controls['cid'].touched}">
                    <div *ngIf="addCompany.controls['cid'].hasError('required') && addCompany.controls['cid'].touched" class="invalid-feedback">You must include a Company ID.</div>
                    <div *ngIf="addCompany.controls['cid'].hasError('pattern') && addCompany.controls['cid'].touched" class="invalid-feedback">Only alphabets allowed.</div>
                    <div *ngIf="addCompany.controls['cid'].hasError('checkSchema') && addCompany.controls['cid'].touched" class="invalid-feedback">The Company ID exists.</div>
                </div>
                <div class="form-group col-md-6">
                    <label class="form-label">Schema Type</label>
                    <select class="form-control" *ngFor="let dbschema of dbSchemaList" [formControl]="addCompany.controls['stype']" [(ngModel)]="stype" name="stype">
                        <option [value]="dbschema.sname">{{dbschema.sname}}</option>
                    </select>
                </div>
                <div class="form-group col-md-6">
                    <label class="form-label">HSQ Config</label>
                    <br />
                        <input type="checkbox" name="hsq" [formControl]="addCompany.controls['hsq']" />
                </div>
            </div>

            <hr/>
            <div class="form-row">
                <div class="form-group col-md-6">
                    <label class="form-label">First Name</label>
                    <input [formControl]="addCompany.controls['first_name']" name="first_name" type="text" class="form-control" placeholder="First Name"
                    [ngClass]="{'is-invalid':!addCompany.controls['first_name'].valid && addCompany.controls['first_name'].touched}">
                    <div *ngIf="addCompany.controls['first_name'].hasError('required') && addCompany.controls['first_name'].touched" class="invalid-feedback">You must include a first name.</div>
                </div>
                <div class="form-group col-md-6">
                    <label class="form-label">Last Name</label>
                    <input [formControl]="addCompany.controls['last_name']" name="last_name" type="text" class="form-control" placeholder="Last Name"
                    [ngClass]="{'is-invalid':!addCompany.controls['last_name'].valid && addCompany.controls['last_name'].touched}">
                    <div *ngIf="addCompany.controls['last_name'].hasError('required') && addCompany.controls['last_name'].touched" class="invalid-feedback">You must include a last name.</div>
                </div>

                <div class="form-group col-md-6">
                    <label class="form-label">Email</label>
                    <input [formControl]="addCompany.controls['uid']" name="email" type="email" class="form-control" placeholder="Email"
                    [ngClass]="{'is-invalid':!addCompany.controls['uid'].valid && addCompany.controls['uid'].touched}">
                    <div *ngIf="addCompany.controls['uid'].hasError('required') && addCompany.controls['uid'].touched" class="invalid-feedback">You must include a email.</div>
                    <div *ngIf="addCompany.controls['uid'].hasError('pattern') && addCompany.controls['uid'].touched" class="invalid-feedback">Not a valid email.</div>
                    <div *ngIf="addCompany.controls['uid'].hasError('checkEmailID') && addCompany.controls['uid'].touched" class="invalid-feedback">The email ID already exists.</div>
                </div>

            </div>
            <button [ladda]="isloading" data-style="expand-left" type="submit" class="btn btn-outline-primary" [disabled]="!addCompany.valid">Create Tenant</button>
        </form>
    </div>   
</div>
<ngb-alert [type]="alertType" (click)="isAlert=false" *ngIf="isAlert">{{alertMessage}}</ngb-alert>